<?php
if ( function_exists('register_sidebar') )
  register_sidebar(array(
    'name' => 'Sidebar',
    'before_widget' => '<div class="sidebox">',
    'after_widget' => '</div>',
    'before_title' => '<h2>',
    'after_title' => '</h2>',
 ));

function catch_that_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];
    if(empty($first_img)){ //Defines a default image
    $first_img = "nothumb.gif";
  }
  return $first_img;
}

function excerpt($num) {
$limit = $num+1;
$excerpt = explode(' ', get_the_excerpt(), $limit);
array_pop($excerpt);
$excerpt = implode(" ",$excerpt)."...";
echo $excerpt;
}

$settings = array(
	'featured' => 'Featured',
	'featured_count' => '5',
  'twitter' => 'simplyWP',
  'twitter_number' => '1',
);

# Settings
$themename = "Theme";
$shortname = "topzglow";
$options = array (

array(
"name" => "Theme",
"type" => "header"
),

array(
"name" => "Featured Category",
"id" => $shortname."_featured",
"std" => $settings['featured'],
"type" => "text",
"note" => "Category Name"),

array(
"name" => "Number of featured entry",
"id" => $shortname."_featured_count",
"std" => $settings['featured_count'],
"type" => "text",
"note" => "Number of featured entry"),

array(
"name" => "Twitter Account",
"id" => $shortname."_twitter",
"std" => $settings['twitter'],
"type" => "text",
"note" => "Your <a href=\"http://www.twitter.com\">Twitter</a> account. Example: <em style=\"font-weight: bold; color: #ff0000\">simplyWP</em>"),

array(
"name" => "Number of Twitter Update",
"id" => $shortname."_twitter_number",
"std" => $settings['twitter_number'],
"type" => "text",
"note" => "Number of your <a href=\"http://www.twitter.com\">Twitter</a> account updates."),

array(
"name" => "Sidebar banner",
"id" => $shortname."_banner",
"std" => $settings['_banner'],
"type" => "text",
"note" => "Sidebar banner adblock, size should be <em style=\"font-weight: bold; color: #ff0000\">300(w) x 250(h)</em>"),

array(
"name" => "URL location",
"id" => $shortname."_banner_url",
"std" => $settings['_banner_url'],
"type" => "text",
"note" => "The URL location of above banner"),

);

function mytheme_add_admin() {
  global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
    if ( 'save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
		if ($value['type']!='header') {
			update_option( $value['id'], $_REQUEST[ $value['id'] ] );
  }
}
      foreach ($options as $value) {
    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
      header("Location: themes.php?page=functions.php&saved=true");
        die;
    } else if( 'reset' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
      delete_option( $value['id'] ); }
      header("Location: themes.php?page=functions.php&reset=true");
        die;
    }
}
  add_theme_page($themename." settings", "Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {
  global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>
<style type="text/css">
th {text-align: left;}
td {padding-bottom: 25px !important;}
tr.header {background-color: #99CC66 !important; color: #ffffff;}
.header td {padding: 2px 10px !important; font-size: 14px !important; font-weight: bold !important;}
.input-forms {width: 50%;}
</style>
<div class="wrap">
<h2><?php echo $themename; ?> Options</h2>
<form method="post">
<table class="form-table">
<?php foreach ($options as $value) { 
if ($value['type'] == "text") { ?>

<tr> 
<th scope="row" style="width: 25%"><?php echo $value['name']; ?>:</th>
<td>
<input onfocus="this.select();" class="input-forms" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /><br /><?php echo $value['note']; ?>
</td>
</tr>

<?php } elseif ($value['type'] == "select") { ?>
<tr> 
<th scope="row"><?php echo $value['name']; ?>:</th>
<td>
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
  <?php foreach ($value['options'] as $option) { ?>
  <option value="<?php echo $option; ?>" <?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
  <?php } ?>
</select>
&nbsp;&nbsp;<?php echo $value['note']; ?>
</td>
</tr>

<?php 
} elseif ($value['type'] == "header") {?>

<?php } }?>

<tr> 
<td><input name="save" type="submit" class="button-primary" value="Save changes" /><input type="hidden" name="action" value="save" /></form></td>
<td><form method="post"><input name="reset" class="button" type="submit" value="Reset" /><input type="hidden" name="action" value="reset" /></form></td>
</tr>

</table>




<?php
}

add_action('admin_menu', 'mytheme_add_admin');
foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
foreach ($settings as $k=>$v) {
	$var = $shortname.'_'.$k;
	if (!empty($$var)) $settings[$k] = $$var;
}
function dp_settings($key) {
	global $settings;
	return $settings[$key];
}

function get_wp_footer() {
echo "
<div id=\"footer\">
<p>Powered by <a href=\"http://www.wordpress.org\">Wordpress</a>. Designed by <a href=\"http://www.rocketdesign.be\">Webdesign</a>.<br />
Collaboration with <a href=\"http://mmohut.com\">MMO Games</a>, <a href=\"http://celebrity-blogger.com\">celebrity news</a>, and <a href=\"http://www.monitorbankrates.com\">CD Rates</a></p>
</div></div></div>
</body>
</html>";
}
?>